<template>
	<div class="headbar">
		<div class="flex items-center h-[36px] gap-[22px] select-none">
			<NIcon class="cursor-pointer" size="28" @click="$emit('toggle')"
				><MenuFilled
			/></NIcon>
			<img class="h-full" :src="logo" alt="" />
			<p>V 1.0.0</p>
		</div>

		<n-dropdown trigger="hover" :options="options" @select="handleSelect">
			<div class="user-dropdown">
				<span>{{ store.user.displayName }}</span>
				<n-icon size="24"><ExpandMoreFilled /></n-icon>
			</div>
		</n-dropdown>
		<!-- <button @click="$emit('toggle')">toggle sideMenu</button> -->
	</div>
</template>

<script setup>
import logo from "@/assets/ohbot-logo.png";
import { NIcon, NDropdown } from "naive-ui/es";
import { MenuFilled, ExpandMoreFilled } from "@vicons/material";
import { RouterLink } from "vue-router";
import { useStore } from "@/store";
import { h } from "vue";

const store = useStore();

const options = [
	{
		label: () =>
			h(RouterLink, { to: { name: "login" } }, { default: () => "登出" }),
		key: "logout",
	},
];

const handleSelect = (key) => {
	if (key === "logout") {
		store.logout();
	}
};
</script>

<style>
.headbar {
	@apply h-[80px] rounded-br-[50px] pl-[24px] pr-[60px] <desktop:(pl-[7.5px] pr-[17px]);
	@apply flex justify-between items-center z-3;
	box-shadow: 0px 4px 6px rgba(95, 95, 95, 0.1);
}

.user-dropdown {
	@apply flex items-center gap-[4px] text-[16px] cursor-pointer;
}
</style>
